{
  "schema_version": "1.4.0",
  "id": "GHSA-xjqv-ch5c-vc5h",
  "modified": "2022-05-01T23:38:36Z",
  "published": "2022-05-01T23:38:36Z",
  "aliases": [
    "CVE-2008-1289"
  ],
  "details": "Multiple buffer overflows in Asterisk Open Source 1.4.x before 1.4.18.1 and 1.4.19-rc3, Open Source 1.6.x before 1.6.0-beta6, Business Edition C.x.x before C.1.6.1, AsteriskNOW 1.0.x before 1.0.2, Appliance Developer Kit before 1.4 revision 109386, and s800i 1.1.x before 1.1.0.2 allow remote attackers to (1) write a zero to an arbitrary memory location via a large RTP payload number, related to the ast_rtp_unset_m_type function in main/rtp.c; or (2) write certain integers to an arbitrary memory location via a large number of RTP payloads, related to the process_sdp function in channels/chan_sip.c.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-1289"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/41302"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/41305"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-March/msg00438.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2008-March/msg00514.html"
    },
    {
      "type": "WEB",
      "url": "http://downloads.digium.com/pub/security/AST-2008-002.html"
    },
    {
      "type": "WEB",
      "url": "http://labs.musecurity.com/advisories/MU-200803-01.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29426"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29470"
    },
    {
      "type": "WEB",
      "url": "http://securityreason.com/securityalert/3763"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1019628"
    },
    {
      "type": "WEB",
      "url": "http://www.asterisk.org/node/48466"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/489817/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/28308"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/0928"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-03-24T17:44:00Z"
  }
}